
/*
 * AR(2) example with system priors
 * 
 * This is a model to illustrate system priors.
 * The data is generated with the true model of both coefs being 0.5
 *
 *
 * Contact: mandrle@imf.org
 */


var y;


varexo e;

parameters alpha1, alpha2, sig_e;

alpha1 = 0.50;
alpha2 = 0.50;
sig_e  = 0.01;

/*   AR2 Model */

model (linear);

	y = alpha1*y(-1) + alpha2*y(-2) + sig_e*e;
end;

initval;
y = 0;
end;

shocks;
var e; stderr 1;
end;

stoch_simul;

/*
 * Estimated paratmers
 */

varobs y;

estimated_params;

alpha1, normal_pdf,        0.4, 0.5;
alpha2, normal_pdf,        0.4, 0.5;
sig_e,  inv_gamma_pdf,   0.01, inf;

end;

estimation(datafile=ar2data,nobs=30,first_obs=10, mh_replic=5000,mh_nblocks=2,mh_drop=0.45,mh_jscale=0.8, mode_compute=4);

